﻿@{
    ViewBag.Title = "Customer";
}


<div class="row">
    <div class="col-md-12">
        <h2>
            Customers List
        </h2>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="pull-right" style="margin-bottom: 10px">
            <button type="button" class="btn btn-primary btn-sm" onclick="showForm(1,'')"><i class="glyphicon glyphicon-plus"></i> Add New</button>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <table id="customers-dt" class="table table-striped table-bordered"></table>
    </div>
</div>

<div id="modal-container" class="modal fade" data-backdrop="static"></div>

@section scripts{
<script type="text/javascript">
    @Html.IncudeNgon(outputScriptTag: false)

    var customerdt;

    $(function () {
        customerdt = {
            dt: null,
            init: function () {
                dt = $('#' + ngon.dataku.tableId).DataTable(ngon.dtc);
            },
            refresh: function () {
                dt.ajax.reload();
            }
        };

        customerdt.init();
    });

    function showForm(mode, id) {
        var url;
        
        switch (mode) {
            case 1:
                url = ngon.dataku.urlAdd;
                break;
            case 2:
                url = ngon.dataku.urlEdit;
                break;
            case 3:
                url = ngon.dataku.urlDelete;
                break;
            default:
                url = ngon.dataku.urlDetails;
        }

        url += "/" + id;

        $.get(url, function (data) {
            $('#modal-container').html(data);
            $('#modal-container').modal();
        });
    }
</script>
<noscript>activate javascript</noscript>
}
